SDL_wcsnstr(3)

NAME
SDL_wcsnstr - Search a wide string, up to n wide chars, for the first instance of a specific substring.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

wchar_t * SDL_wcsnstr(const wchar_t *haystack, const wchar_t *needle, size_t maxlen);

DESCRIPTION
The search ends once it finds the requested substring, or a null terminator value to end the string, or maxlen wide character have been examined. It is possible to use this function on a wide string without a null terminator.

Note that this looks for strings of _wide characters_, not _codepoints_, so it's legal to search for malformed and incomplete UTF-16 sequences.

FUNCTION PARAMETERS

haystack
    the wide string to search. Must not be NULL.

needle
    the wide string to search for. Must not be NULL.

maxlen
    the maximum number of wide characters to search in haystack.

RETURN VALUE
Returns a pointer to the first instance of needle in the string, or NULL if not found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.